//#include <stdio.h>
#include <stdlib.h>
#include <String.h>

#include "LCpuUsage.h"

LCpuUsage :: LCpuUsage(int32 whichCPU)
{
	THIS_CPU = whichCPU;
	system_info info;
	get_system_info(&info);

	last_active_cpu_time = info.cpu_infos[THIS_CPU].active_time;
	last_system_time = system_time();

}


float LCpuUsage :: FloatCpuUsage()
{
	system_info info;
	get_system_info(&info);

	delta_system = system_time() - last_system_time;
	delta_cpu = info.cpu_infos[THIS_CPU].active_time - last_active_cpu_time;
	
	percent = (delta_cpu/delta_system) * 100;
	last_system_time = system_time();

	if (percent < 0){percent *= -1;}
	if (percent > 100){percent = 100.00;}


	last_active_cpu_time = info.cpu_infos[THIS_CPU].active_time;

return (percent);


}

const char* LCpuUsage :: CharCpuUsage()
{
	BString str("");	
	float much = FloatCpuUsage() / 10;
	str << much;
	int where = str.FindFirst(".");
	str.Truncate(where);
	
	return(str.String());
}
