#ifndef L_CPU_USAGE_H
#define L_CPU_USAGE_H

#include <iostream>
#include <OS.h>
#include <stdio.h>

class LCpuUsage
{
	public:
		LCpuUsage(int32 whichCPU = 0);
		virtual float FloatCpuUsage();
		virtual const char* CharCpuUsage();

	private:
		float last_active_cpu_time;
		float delta_cpu;
		float last_system_time;
		float delta_system;
		float percent;
		int32 THIS_CPU;
};

#endif

